tigase.cluster.strategy

## Class ConnectionRecord

- java.lang.Object
- - tigase.cluster.strategy.ConnectionRecord

- All Implemented Interfaces:
    Comparable<ConnectionRecord>, ConnectionRecordIfc

      public class ConnectionRecord
      extends Object
      implements ConnectionRecordIfc, Comparable<ConnectionRecord>

  Author:
    Artur Hefczyc Created Mar 15, 2011

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionRecord()` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ConnectionRecord rec)`
    `boolean` | `equals(Object rec)`
    `tigase.xmpp.JID` | `getConnectionId()` Method description
    `tigase.xmpp.JID` | `getNode()` Method description
    `String` | `getSessionId()` Method description
    `tigase.xmpp.JID` | `getUserJid()` Method description
    `int` | `hashCode()`
    `void` | `setElement(tigase.xml.Element elem)` Method description
    `void` | `setRecordFields(tigase.xmpp.JID node, tigase.xmpp.JID userJid, String sessionId, tigase.xmpp.JID connectionId)` Method description
    `tigase.xml.Element` | `toElement()` Method description
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionRecord

          public ConnectionRecord()

      Constructs ...

  - ### Method Detail

    - #### compareTo

          public int compareTo(ConnectionRecord rec)

      Specified by:
        `compareTo` in interface `Comparable<ConnectionRecord>`

    - #### equals

          public boolean equals(Object rec)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toElement

          public tigase.xml.Element toElement()

      Description copied from interface: `ConnectionRecordIfc`
      Method description
      Specified by:
        `toElement` in interface `ConnectionRecordIfc`
      Returns:
        a value of `Element`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getConnectionId

          public tigase.xmpp.JID getConnectionId()

      Description copied from interface: `ConnectionRecordIfc`
      Method description
      Specified by:
        `getConnectionId` in interface `ConnectionRecordIfc`
      Returns:
        a value of `JID`

    - #### getNode

          public tigase.xmpp.JID getNode()

      Description copied from interface: `ConnectionRecordIfc`
      Method description
      Specified by:
        `getNode` in interface `ConnectionRecordIfc`
      Returns:
        a value of `JID`

    - #### getSessionId

          public String getSessionId()

      Description copied from interface: `ConnectionRecordIfc`
      Method description
      Specified by:
        `getSessionId` in interface `ConnectionRecordIfc`
      Returns:
        a value of `String`

    - #### getUserJid

          public tigase.xmpp.JID getUserJid()

      Description copied from interface: `ConnectionRecordIfc`
      Method description
      Specified by:
        `getUserJid` in interface `ConnectionRecordIfc`
      Returns:
        a value of `JID`

    - #### setElement

          public void setElement(tigase.xml.Element elem)

      Description copied from interface: `ConnectionRecordIfc`
      Method description
      Specified by:
        `setElement` in interface `ConnectionRecordIfc`

    - #### setRecordFields

          public void setRecordFields(tigase.xmpp.JID node,
                             tigase.xmpp.JID userJid,
                             String sessionId,
                             tigase.xmpp.JID connectionId)

      Description copied from interface: `ConnectionRecordIfc`
      Method description
      Specified by:
        `setRecordFields` in interface `ConnectionRecordIfc`

Copyright © 2015 "Tigase, Inc.". All rights reserved.